Skip to content

IP Load Balancer

All operations require authentication.

4 operationsv1/vrack/{serviceName}
Agent setup

List load balancers. Returns the IP Load Balancer services attached to the vRack.Production

GET
/1.0/vrack/{serviceName}/ipLoadbalancing

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ipLoadbalancing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a load balancer. Returns the attached IP Load Balancer service and its vRack.Production

GET
/1.0/vrack/{serviceName}/ipLoadbalancing/{ipLoadbalancing}

Path parameters

ipLoadbalancing
required
string

Your ipLoadbalancing

serviceName
required
string

The internal name of your vrack

Response

200iplbsuccessful operation
ipLoadbalancing
read-only
string

Your ipLoadbalancing

vrack
read-only
string

vrack name

Example uses ipLoadbalancing = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ipLoadbalancing/{ipLoadbalancing} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "ipLoadbalancing": "string", "vrack": "string"}

Attach a load balancerProduction

POST
/1.0/vrack/{serviceName}/ipLoadbalancing

Attach a load balancer. Attaches an IP Load Balancer service to the vRack. Returns the task that performs it.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

ipLoadbalancing
required
string

Your ipLoadbalancing

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ipLoadbalancing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach a load balancerProduction

DELETE
/1.0/vrack/{serviceName}/ipLoadbalancing/{ipLoadbalancing}

Detach a load balancer. Detaches the IP Load Balancer service from the vRack. Returns the task that performs it.

Path parameters

ipLoadbalancing
required
string

Your ipLoadbalancing

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses ipLoadbalancing = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ipLoadbalancing/{ipLoadbalancing} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}